Package org.h2.tools

# Interface SimpleRowSource

All Known Implementing Classes:
  `Csv`

public interface SimpleRowSource
This interface is for classes that create rows on demand. It is used together with SimpleResultSet to create a dynamic result set.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Close the row source.
`Object[]`
`readRow()`
Get the next row.
`void`
`reset()`
Reset the position (before the first row).

## Method Details

### readRow

Object[] readRow() throws SQLException
Get the next row. Must return null if no more rows are available.

Returns:
  the row or null
Throws:
  `SQLException` - on failure

### close

void close()
Close the row source.

### reset

void reset() throws SQLException
Reset the position (before the first row).

Throws:
  `SQLException` - if this operation is not supported